[PATCH 8/8] defaultenv: add support of etherboot_file

Jean-Christophe PLAGNIOL-VILLARD plagnioj at jcrosoft.com
Fri Mar 30 00:31:53 EDT 2012


We will use the etherboot_file as script

Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj at jcrosoft.com>
---
 defaultenv/bin/boot |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/defaultenv/bin/boot b/defaultenv/bin/boot
index ba04373..2c09a23 100644
--- a/defaultenv/bin/boot
+++ b/defaultenv/bin/boot
@@ -48,6 +48,10 @@ if [ x$ip = xdhcp -o x$ip = "xdhcp-barebox" ]; then
 		if [ x$bootfile != x ]; then
 			kernelimage=$bootfile
 		fi
+		if [ x$etherboot_file != x ]; then
+			$kernel_loc $etherboot_file /etherboot_file.sh || exit 1
+			. /etherboot_file.sh || exit 1
+		fi
 	fi
 fi
 
-- 
1.7.9.1




More information about the barebox mailing list